000010 ID DIVISION.                                                       000002
000020 PROGRAM-ID. BAG005.                                                000003
       REMARKS.    11/02/87- CHANGED STATE-TABLE FROM 63 TO 72            000004
                             OCCURANCES.                                  000005
      *-----------------------------------------------------------------  000006
      *            11/09/87- ADDED 'CANCEL' STATEMENT TO 'WRITE INVALID   000007
      *                      KEY' SO THAT PROGRAM WILL CANCEL WHEN IT     000008
      *                      RUNS OUT OF EXTENTS.                         000009
      *-----------------------------------------------------------------  000010
000030 ENVIRONMENT DIVISION.                                              000011
000040 INPUT-OUTPUT SECTION.                                              000012
000050 FILE-CONTROL.                                                      000013
000060     SELECT BAGPP    ASSIGN TO SYS020-UT-2314-S-BAGPP.              000014
000070     SELECT BAGPA    ASSIGN TO SYS021-UT-2314-S-BAGPA.              000015
000080     SELECT BAGMO    ASSIGN TO SYS022-UT-2314-S-BAGMO.              000016
000090     SELECT ZCOUNTS  ASSIGN TO SYS023-UT-2314-S-ZCOUNTS.            000017
000100     SELECT ATABLE   ASSIGN TO SYS024-UT-2314-S-ATABLE.             000018
000110     SELECT CTABLE   ASSIGN TO SYS025-UT-2314-S-CTABLE.             000019
000120     SELECT ETABLE   ASSIGN TO SYS026-UT-2314-S-ETABLE.             000020
000130     SELECT ZTABLE   ASSIGN TO SYS027-ZTABLE                        000021
000140                     ORGANIZATION INDEXED                           000022
000150                     ACCESS MODE IS RANDOM                          000023
000160                     RECORD KEY ZN-ENTRY-POINT                      000024
000170                     FILE STATUS IS CHK-STATUS.                     000025
           SELECT EDPLBL                                                    0000
           ASSIGN TO SYS028-EDPLBL                                          0000
           ORGANIZATION IS INDEXED                                          0001
           ACCESS MODE IS SEQUENTIAL                                        0002
           RECORD KEY EDP-KEY                                               0003
           FILE STATUS IS CHK-STATUS.                                       0004
000190     EJECT                                                          000027
000200 DATA DIVISION.                                                     000028
000210 FILE SECTION.                                                      000029
000220 FD  BAGPP                                                          000030
000230     RECORDING MODE F                                               000031
000240     BLOCK CONTAINS 0 RECORDS                                       000032
000250     LABEL RECORDS ARE STANDARD                                     000033
000260     DATA RECORD PP-REC.                                            000034
000270 01  PP-REC.                                                        000035
000280     03 PP-PUB               PIC XX.                                000036
000290     03 PP-PHASE             PIC X(8).                              000037
000300     03 PP-BAGMARKS          PIC X.                                 000038
000310     03 PP-BULK-LINE-X.                                             000039
000320        05 PP-BULK-LINE      PIC 9.                                 000040
000330     03 PP-MAX-IND-COPIES    PIC 999.                               000041
000340     03 PP-CONTROLLED        PIC X.                                 000042
000350     03 FILLER               PIC X(64).                             000043
000360     EJECT                                                          000044
000370 FD  BAGPA COPY BAGPA.                                              000045
000380     EJECT                                                          000046
000390 FD  BAGMO                                                          000047
000400     RECORDING MODE F                                               000048
000410     LABEL RECORDS STANDARD                                         000049
000420     BLOCK CONTAINS 13 RECORDS                                      000050
000430     DATA RECORD MO-REC.                                            000051
000440     COPY BAGMO.                                                    000052
000450     EJECT                                                          000053
000460 FD  ZCOUNTS COPY BAGZC.                                            000054
000470     EJECT                                                          000055
000480 FD  ATABLE COPY BAGA.                                              000056
000490     SKIP3                                                          000057
000500 FD  CTABLE COPY BAGC.                                              000058
000510     EJECT                                                          000059
000520 FD  ETABLE COPY BAGE.                                              000060
000530     EJECT                                                          000061
000540 FD  ZTABLE                                                         000062
000550     LABEL RECORDS ARE STANDARD                                     000063
000560     DATA RECORD IS ZN-REC.                                         000064
000570 01  ZN-REC.                                                        000065
000580     03 ZN-ENTRY-POINT       PIC XXX.                               000066
000590     03 ZN-LAST-UPDATE.                                             000067
000600         05 ZN-YY            PIC XX.                                000068
000610         05 ZN-DDD           PIC XXX.                               000069
000620     03 ZN-CITY-ST.                                                 000070
000630         05 ZN-CITY          PIC X(13).                             000071
000640         05 FILLER           PIC XX.                                000072
000650         05 ZN-STATE         PIC XX.                                000073
000660     03 ZN-ENTRY-PT-ZIP      PIC X(5).                              000074
000670     03 ZN-ZONE OCCURS 999   PIC X.                                 000075
000680     SKIP3                                                          000076
000690 FD  EDPLBL                                                         000077
           LABEL RECORDS ARE STANDARD                                       0000
           DATA RECORDS EDP-GEN.                                            0001
       01  EDP-GEN.                                                         0003
           03  EDP-KEY.                                                     0004
               05  EDP-KNBR            PIC X.                               0005
      *            1 = GENERAL CYCLE AND DATE RECORD                        0006
      *            4 = FOREIGN COUNTRY TABLE                                0009
               05  EDP-KALPHA.                                              0012
                   07  EDP-KALPHA-X    PIC X(9).                            0013
                   07  EDP-KALPHA-NBR  PIC 99.                              0014
               05  FILLER REDEFINES EDP-KALPHA.                             0015
                   07  EDP-KALPHA-APS-X PIC X(8).                           0016
                   07  EDP-KALPHA-APS-NBR PIC 999.                          0017
               05  FILLER REDEFINES EDP-KALPHA.                             0018
                   07  EDP-KALPHA-CNTRY PIC X(3) JUSTIFIED RIGHT.           0019
                   07  FILLER           PIC X(8).                           0020
           03  EDP-CYCLE               PIC S9(5) COMP-3.                    0021
           03  EDP-DATE                PIC X(8).                            0022
           03  EDP-CTR-X.                                                   0023
               05  EDP-CTR             PIC S9(5) COMP-3.                    0024
           03  FILLER REDEFINES EDP-CTR-X.                                  0025
               05  FILLER              PIC X.                               0026
               05  EDP-PE-DATE         PIC S99 COMP-3.                      0027
           SKIP1                                                            0028
       01  EDP-CNTRY.                                                       0090
           03  FILLER                  PIC X(12).                           0091
           03  EDP-CNTRY-NM            PIC X(10).                           0092
000700     EJECT                                                          000078
000710 WORKING-STORAGE SECTION.                                           000079
000720 77  A                       PIC S9999           COMP.              000080
000730 77  B                       PIC S9999           COMP.              000081
000740 77  CTABLE-ERR              PIC X     VALUE ' '.                   000082
000750 77  LABELMI-ERR             PIC X     VALUE ' '.                   000083
000760 77  PTABLE-ERR              PIC X     VALUE ' '.                   000084
000770 77  ZTABLE-ERR              PIC X     VALUE ' '.                   000085
000780 77  ZTABLE-READS            PIC S9(5) VALUE +0  COMP-3.            000086
000790 77  ZTABLE-FOUND            PIC X.                                 000087
000800 77  TOT-COPIES              PIC S9(7) VALUE +0  COMP-3.            000088
000810 77  TOT-SAMPLE-COPIES       PIC S9(7) VALUE +0  COMP-3.            000089
000820 77  ERR-COPIES              PIC S9(7) VALUE +0  COMP-3.            000090
000830 77  ERR                     PIC X.                                 000091
000840 77  SEL-DEL-L  VALUE +0     PIC S9(7)           COMP-3.            000092
000850 77  SEL-DEL-C  VALUE +0     PIC S9(7)           COMP-3.            000093
000860 77  SEL-SIN-L  VALUE +0     PIC S9(7)           COMP-3.            000094
000870 77  SEL-BULK-L VALUE +0     PIC S9(7)           COMP-3.            000095
000880 77  SEL-BULK-C VALUE +0     PIC S9(7)           COMP-3.            000096
000890 77  NBR        VALUE +4     PIC S9999           COMP.              000097
000900 77  FLAG       VALUE 'Y'    PIC X.                                 000098
000910 77  LNCTR      VALUE +0     PIC S999            COMP-3.            000099
000920 77  PGCTR      VALUE +0     PIC S999            COMP-3.            000100
000930 77  CHK-STATUS              PIC XX.                                000101
000940 77  TI-MIN                  INDEX.                                 000102
000950 77  TI-MAX                  INDEX.                                 000103
000960 77  WK-COPIES               PIC S9(5) VALUE +0  COMP-3.            000104
000970 77  WK-REC                  PIC X(308).                            000105
000980 77  WK-ABEND                PIC X               VALUE 'N'.         000106
000990 77  WK-ST-TYPE              PIC X.                                 000107
001000 77  WK-PO-CLASS             PIC X.                                 000108
001010 77  WK-NEWS                 PIC X.                                 000109
001020 01  WK-REGION.                                                     000110
001030     03 FILLER               PIC XX              VALUE 'A0'.        000111
001040     03 WK-REGION-1          PIC X.                                 000112
001050 01  HSP.                                                           000113
001060     03 L-CTR                PIC S999            COMP-3.            000114
001070     03 FILLER               PIC X(130).                            000115
001080 01  FILLER REDEFINES HSP.                                          000116
001090     03 FILLER               PIC X(23).                             000117
001100     03 H-SEL                PIC 999.                               000118
001110     03 FILLER               PIC X(15).                             000119
001120     03 H-DEL-L              PIC Z,ZZZ,ZZZ.                         000120
001130     03 FILLER               PIC X.                                 000121
001140     03 H-DEL-C              PIC Z,ZZZ,ZZZ.                         000122
001150     03 FILLER               PIC X.                                 000123
001160     03 H-SIN-L              PIC Z,ZZZ,ZZZ.                         000124
001170     03 FILLER               PIC X.                                 000125
001180     03 H-BULK-L             PIC Z,ZZZ,ZZZ.                         000126
001190     03 FILLER               PIC X.                                 000127
001200     03 H-BULK-C             PIC Z,ZZZ,ZZZ.                         000128
001210 01  HDR1.                                                          000129
001220     03 FILLER               PIC X(57)           VALUE SPACES.      000130
001230     03 H-PUB-NAME           PIC X(30).                             000131
001240 01  HDR2.                                                          000132
001250     03 FILLER               PIC X(14)           VALUE              000133
001260         'REPORT DATE:  '.                                          000134
001270     03 H-RUN-DATE           PIC X(8).                              000135
001280     03 FILLER               PIC X(30)           VALUE              000136
001290         '                  ISSUE DATE: '.                          000137
001300     03 H-ISS-DATE           PIC X(8).                              000138
001310     03 FILLER               PIC X(23)           VALUE              000139
001320         '            FILE CYCLE:'.                                 000140
001330     03 H-CYCLE              PIC Z(5).                              000141
001340     03 FILLER               PIC X(34)           VALUE SPACES.      000142
001350     03 FILLER               PIC X(5)            VALUE 'PAGE'.      000143
001360     03 H-PAGE               PIC ZZZ.                               000144
001370 01  HDR3.                                                          000145
001380     03 FILLER               PIC X(53)           VALUE SPACES.      000146
001390     03 FILLER               PIC X(24)           VALUE              000147
001400         'EDBAG005 CONTROL TALLIES'.                                000148
001410 01  HDR4.                                                          000149
001420     03 FILLER PIC X(32) VALUE '                       SEL      '.  000150
001430     03 FILLER PIC X(32) VALUE '          DELIVERY  DELIVERY    '.  000151
001440     03 FILLER PIC X(32) VALUE 'SINGLE      BULK      BULK      '.  000152
001450 01  HDR5.                                                          000153
001460     03 FILLER PIC X(32) VALUE '                        #       '.  000154
001470     03 FILLER PIC X(32) VALUE '            LABELS    COPIES    '.  000155
001480     03 FILLER PIC X(32) VALUE 'LABELS    LABELS    COPIES      '.  000156
001490 01  CURR-KEY.                                                      000157
001500     03 CURR-SEL             PIC 999.                               000158
001510     03 CURR-ST-X            PIC XXX.                               000159
001520     03 CURR-FOREIGN-ZIP     PIC X(9).                              000160
001530 01  LAST-KEY.                                                      000161
001540     03 LAST-SEL             PIC 999             VALUE 000.         000162
001550     03 LAST-ST-X            PIC XXX             VALUE '000'.       000163
001560     03 LAST-FOREIGN-ZIP     PIC X(9)            VALUE SPACES.      000164
001570 01  IN-COUNTY-TABLE.                                               000165
001580     03 IC-CTR               PIC S9999 VALUE +0  COMP.              000166
001590     03 IC-ENTRY OCCURS 0 TO 100                                    000167
001600        DEPENDING ON IC-CTR INDEXED BY IC.                          000168
001610        05 IC-LOW-ZIP        PIC X(5).                              000169
001620        05 IC-HIGH-ZIP       PIC X(5).                              000170
001630 01  ENTRY-POINT-TABLE.                                             000171
001640     03 EP-CTR               PIC S9999 VALUE +0  COMP.              000172
001650     03 EP-ENTRY OCCURS 0 TO 100                                    000173
001660        DEPENDING ON EP-CTR INDEXED BY EP.                          000174
001670        05 EP-LOW-TRAF       PIC XXX.                               000175
001680        05 EP-HIGH-TRAF      PIC XXX.                               000176
001690        05 EP-SCF            PIC XXX.                               000177
001700     SKIP1                                                          000178
001710 01  WS-A-REC.                                                      000179
001720     03 WS-A-PUB             PIC XX.                                000180
001730     03 WS-A-CODE            PIC XX.                                000181
001740     03 WS-A-LOW-ZIP.                                               000182
001750        05 WS-A-LOW-SCF      PIC XXX.                               000183
001760        05 FILLER            PIC XX.                                000184
001770     03 WS-A-HIGH-ZIP.                                              000185
001780        05 WS-A-HIGH-SCF     PIC XXX.                               000186
001790        05 FILLER            PIC XX.                                000187
001800     03 WS-A-TRAF            PIC XXX.                               000188
001810     03 FILLER               PIC X(63).                             000189
001820     66 WS-A-CODE-THRU-TRAF RENAMES WS-A-CODE THRU WS-A-TRAF.       000190
001830     SKIP1                                                          000191
001840 01  WS-EA-REC.                                                     000192
001850     03 WS-EA-LOW-ZIP.                                              000193
001860        05 WS-EA-LOW-SCF     PIC XXX.                               000194
001870        05 WS-EA-LOW-ZONE    PIC XX.                                000195
001880     03 WS-EA-HIGH-ZIP.                                             000196
001890        05 WS-EA-HIGH-SCF    PIC XXX.                               000197
001900        05 WS-EA-HIGH-ZONE   PIC XX.                                000198
001910     03 WS-EA-REF-ZIP.                                              000199
001920        05 WS-EA-REF-SCF     PIC XXX.                               000200
001930        05 FILLER            PIC XX.                                000201
001940     03 WS-EA-CODE           PIC X.                                 000202
001950     03 WS-EA-REGION.                                               000203
001960        05 WS-EA-NEWS.                                              000204
001970           07 WS-EA-QUAL     PIC X.                                 000205
001980     03 WS-EA-EP.                                                   000206
001990        05 WS-EA-EP-LOW      PIC XXX.                               000207
002000        05 WS-EA-EP-HIGH     PIC XXX.                               000208
002010     03 WS-EA-SACK-LABEL     PIC X(30).                             000209
002020     03 WS-EA-SACK-STATE     PIC X(20).                             000210
002030     03 FILLER               PIC X(7).                              000211
002040     SKIP1                                                          000212
002050 01  WS-EC-REC.                                                     000213
002060     03 WS-EC-LOW-ZIP.                                              000214
002070        05 WS-EC-LOW-SCF     PIC XXX.                               000215
002080        05 WS-EC-LOW-ZONE    PIC XX.                                000216
002090     03 WS-EC-HIGH-ZIP.                                             000217
002100        05 WS-EC-HIGH-SCF    PIC XXX.                               000218
002110        05 WS-EC-HIGH-ZONE   PIC XX.                                000219
002120     03 WS-EC-REF-ZIP.                                              000220
002130        05 WS-EC-REF-SCF     PIC XXX.                               000221
002140        05 FILLER            PIC XX.                                000222
002150     03 WS-EC-CODE           PIC X.                                 000223
002160     03 WS-EC-REGION.                                               000224
002170        05 WS-EC-NEWS.                                              000225
002180           07 WS-EC-QUAL     PIC X.                                 000226
002190     03 WS-EC-EP.                                                   000227
002200        05 WS-EC-EP-LOW      PIC XXX.                               000228
002210        05 WS-EC-EP-HIGH     PIC XXX.                               000229
002220     03 WS-EC-SACK-LABEL     PIC X(30).                             000230
002230     03 WS-EC-SACK-STATE     PIC X(20).                             000231
002240     03 FILLER               PIC X(7).                              000232
002250     SKIP1                                                          000233
002260 01  WS-EG-REC.                                                     000234
002270     03 WS-EG-LOW-ZIP.                                              000235
002280        05 WS-EG-LOW-SCF     PIC XXX.                               000236
002290        05 WS-EG-LOW-ZONE    PIC XX.                                000237
002300     03 WS-EG-HIGH-ZIP.                                             000238
002310        05 WS-EG-HIGH-SCF    PIC XXX.                               000239
002320        05 WS-EG-HIGH-ZONE   PIC XX.                                000240
002330     03 WS-EG-REF-ZIP.                                              000241
002340        05 WS-EG-REF-SCF     PIC XXX.                               000242
002350        05 FILLER            PIC XX.                                000243
002360     03 WS-EG-CODE           PIC X.                                 000244
002370     03 WS-EG-REGION.                                               000245
002380        05 WS-EG-NEWS.                                              000246
002390           07 WS-EG-QUAL     PIC X.                                 000247
002400     03 WS-EG-EP.                                                   000248
002410        05 WS-EG-EP-LOW      PIC XXX.                               000249
002420        05 WS-EG-EP-HIGH     PIC XXX.                               000250
002430     03 WS-EG-SACK-LABEL     PIC X(30).                             000251
002440     03 WS-EG-SACK-STATE     PIC X(20).                             000252
002450     03 FILLER               PIC X(7).                              000253
002460     SKIP1                                                          000254
002470 01  WS-EJ-REC.                                                     000255
002480     03 WS-EJ-LOW-ZIP.                                              000256
002490        05 WS-EJ-LOW-SCF     PIC XXX.                               000257
002500        05 WS-EJ-LOW-ZONE    PIC XX.                                000258
002510     03 WS-EJ-HIGH-ZIP.                                             000259
002520        05 WS-EJ-HIGH-SCF    PIC XXX.                               000260
002530        05 WS-EJ-HIGH-ZONE   PIC XX.                                000261
002540     03 WS-EJ-REF-ZIP.                                              000262
002550        05 WS-EJ-REF-SCF     PIC XXX.                               000263
002560        05 FILLER            PIC XX.                                000264
002570     03 WS-EJ-CODE           PIC X.                                 000265
002580     03 WS-EJ-REGION.                                               000266
002590        05 WS-EJ-NEWS.                                              000267
002600           07 WS-EJ-QUAL     PIC X.                                 000268
002610     03 WS-EJ-EP.                                                   000269
002620        05 WS-EJ-EP-LOW      PIC XXX.                               000270
002630        05 WS-EJ-EP-HIGH     PIC XXX.                               000271
002640     03 WS-EJ-SACK-LABEL     PIC X(30).                             000272
002650     03 WS-EJ-SACK-STATE     PIC X(20).                             000273
002660     03 FILLER               PIC X(7).                              000274
002670     SKIP1                                                          000275
002680 01  WS-EL-REC.                                                     000276
002690     03 WS-EL-LOW-ZIP.                                              000277
002700        05 WS-EL-LOW-SCF     PIC XXX.                               000278
002710        05 WS-EL-LOW-ZONE    PIC XX.                                000279
002720     03 WS-EL-HIGH-ZIP.                                             000280
002730        05 WS-EL-HIGH-SCF    PIC XXX.                               000281
002740        05 WS-EL-HIGH-ZONE   PIC XX.                                000282
002750     03 WS-EL-REF-ZIP.                                              000283
002760        05 WS-EL-REF-SCF     PIC XXX.                               000284
002770        05 FILLER            PIC XX.                                000285
002780     03 WS-EL-CODE           PIC X.                                 000286
002790     03 WS-EL-REGION.                                               000287
002800        05 WS-EL-NEWS.                                              000288
002810           07 WS-EL-QUAL     PIC X.                                 000289
002820     03 WS-EL-EP.                                                   000290
002830        05 WS-EL-EP-LOW      PIC XXX.                               000291
002840        05 WS-EL-EP-HIGH     PIC XXX.                               000292
002850     03 WS-EL-SACK-LABEL     PIC X(30).                             000293
002860     03 WS-EL-SACK-STATE     PIC X(20).                             000294
002870     03 FILLER               PIC X(7).                              000295
002880     SKIP1                                                          000296
002890 01  WS-EP-REC.                                                     000297
002900     03 WS-EP-LOW-ZIP.                                              000298
002910        05 WS-EP-LOW-SCF     PIC XXX.                               000299
002920        05 WS-EP-LOW-ZONE    PIC XX.                                000300
002930     03 WS-EP-HIGH-ZIP.                                             000301
002940        05 WS-EP-HIGH-SCF    PIC XXX.                               000302
002950        05 WS-EP-HIGH-ZONE   PIC XX.                                000303
002960     03 WS-EP-REF-ZIP.                                              000304
002970        05 WS-EP-REF-SCF     PIC XXX.                               000305
002980        05 FILLER            PIC XX.                                000306
002990     03 WS-EP-CODE           PIC X.                                 000307
003000     03 WS-EP-REGION.                                               000308
003010        05 WS-EP-NEWS.                                              000309
003020           07 WS-EP-QUAL     PIC X.                                 000310
003030     03 WS-EP-EP.                                                   000311
003040        05 WS-EP-EP-LOW      PIC XXX.                               000312
003050        05 WS-EP-EP-HIGH     PIC XXX.                               000313
003060     03 WS-EP-SACK-LABEL     PIC X(30).                             000314
003070     03 WS-EP-SACK-STATE     PIC X(20).                             000315
003080     03 FILLER               PIC X(7).                              000316
003090     SKIP2                                                          000317
003100 01  LZ-REC.                                                        000318
003110     03 LZ-ST-X.                                                    000319
003120        05 LZ-ST             PIC 999             VALUE 000.         000320
003130     03 LZ-ZIP-FIELD.                                               000321
003140        05 LZ-FOREIGN-ZIP.                                          000322
003150           07 LZ-ZIP.                                               000323
003160              09 LZ-SCF-X.                                          000324
003170                 11 LZ-SCF   PIC 999             VALUE 000.         000325
003180              09 FILLER      PIC XX              VALUE '00'.        000326
003190           07 FILLER         PIC X               VALUE '0'.         000327
003200        05 FILLER            PIC XXX             VALUE '000'.       000328
003210     03 LZ-ST-TYPE           PIC X               VALUE 'D'.         000329
003220 01  CZ-REC.                                                        000330
003230     03 CZ-SEL               PIC 999   VALUE 0  COMP-3.             000331
003240     03 CZ-CODE              PIC X     VALUE '8'.                   000332
003250     03 CZ-BULKFLAG-X.                                              000333
003260        05 CZ-BULKFLAG       PIC 9.                                 000334
003270     03 CZ-TRAF-GRP          PIC S9(5)           COMP-3.            000335
003280     03 CZ-REGION            PIC XXX.                               000336
003290     03 CZ-ST-X.                                                    000337
003300        05 CZ-ST             PIC 999   VALUE 000.                   000338
003310     03 CZ-SDC-LOW-SCF-X.                                           000339
003320        05 CZ-SDC-LOW-SCF    PIC 999.                               000340
003330     03 CZ-TRAF              PIC XXX.                               000341
003340     03 CZ-MSCF-LOW-SCF-X.                                          000342
003350        05 CZ-MSCF-LOW-SCF   PIC 999.                               000343
003360     03 CZ-S-SCF-X.                                                 000344
003370        05 CZ-S-SCF          PIC 999.                               000345
003380     03 CZ-MZC-LOW-ZIP-X.                                           000346
003390        05 CZ-MZC-LOW-ZIP    PIC 9(5).                              000347
003400     03 CZ-ZIP-FIELD.                                               000348
003410        05 CZ-FOREIGN-ZIP.                                          000349
003420           07 CZ-ZIP.                                               000350
003430              09 CZ-SCF-X.                                          000351
003440                 11 CZ-SCF   PIC 999   VALUE 000.                   000352
003450              09 FILLER      PIC XX    VALUE '00'.                  000353
003460           07 FILLER         PIC X     VALUE '0'.                   000354
003470        05 FILLER            PIC XXX   VALUE '000'.                 000355
003480     03 CZ-CARRIER           PIC XX.                                000356
003490     03 CZ-UNIT              PIC X(10).                             000357
003500     03 CZ-MSCF-FLAG         PIC X.                                 000358
003510     03 CZ-MZC-FLAG          PIC X.                                 000359
003520     03 CZ-ST-TYPE           PIC X     VALUE 'D'.                   000360
003530     03 CZ-PO-ZONE           PIC 9.                                 000361
003540     03 CZ-ENTRY-SCF-X.                                             000362
003550        05 CZ-ENTRY-SCF      PIC 999.                               000363
003560     03 CZ-COPIES            PIC S9(7)           COMP-3.            000364
003570     03 CZ-SAMPLE-COPIES     PIC S9(7)           COMP-3.            000365
003580     03 CZ-DEL               PIC X.                                 000366
003590     SKIP2                                                          000367
003600 01  MAST-READ-INTERFACE.                                           000368
003610     03 MR-FUNC              PIC S9(4)           COMP.              000369
003620     03 MR-RETURN            PIC S9(4)           COMP.              000370
003630     03 MR-PUB               PIC XX.                                000371
003640     03 MR-CONTROLLED        PIC X.                                 000372
003650     03 FILLER               PIC X(4).                              000373
003660 01  MR-PHASE                PIC X(8).                              000374
003670     SKIP2                                                          000375
003680 01  STATE-TYPES.                                                   000376
003690     03 FILLER               PIC X(54)       VALUE ALL 'D'.         000377
003700     03 FILLER               PIC XX          VALUE HIGH-VALUES.     000378
003710     03 FILLER               PIC XX          VALUE 'DD'.            000379
003720     03 FILLER               PIC X           VALUE HIGH-VALUE.      000380
003730     03 FILLER               PIC X(4)        VALUE 'DDDD'.          000381
003740     03 FILLER               PIC X(16)       VALUE HIGH-VALUES.     000382
003750     03 FILLER               PIC X(13)       VALUE ALL 'J'.         000383
003760     03 FILLER               PIC X(907)      VALUE HIGH-VALUES.     000384
003770 01  FILLER REDEFINES STATE-TYPES.                                  000385
003780     03 ST-TYPE OCCURS 999   PIC X.                                 000386
003790*        ****                                                       000387
003800*        **** STATE TYPES ARE CODED CONSISTENT WITH THE FOLLOWING   000388
003810*        ****    D  =  DOMESTIC                                     000389
003820*        ****    J  =  CANADIAN                                     000390
003830*        ****  K-Z  =  OTHER CLASS I FOREIGN (NONE CURRENTLY)       000391
003840*        ****   HV  =  CLASS II FOREIGN OR UNDEFINED                000392
003850*        ****                                                       000393
003860     EJECT                                                          000394
003870     COPY STATENUM.                                                 000395
003890 01  FILLER REDEFINES STATE-TABLE.                                  000396
003900     03  EACH-STATE OCCURS 72.                                      000397
003910         05  ST-LIT          PIC XX.                                000398
003920         05  ST-NUM          PIC X(3).                              000399
003930         05  ST-LOSCF        PIC X(3).                              000400
003940         05  ST-HISCF        PIC X(3).                              000401
003950 01  FOREIGN-COUNTRIES.                                             000402
003960     03 FOR-CTR VALUE +0     PIC S9999           COMP.              000403
003970     03 FOR-ENTRY OCCURS 1 TO 400 DEPENDING ON FOR-CTR              000404
003980         ASCENDING KEY FOR-NBR INDEXED BY AI.                       000405
003990          05 FOR-NBR         PIC 999.                               000406
004000          05 FOR-NAME        PIC X(10).                             000407
004010 01  TI-INDEX                INDEX.                                 000408
004020 01  TI-INDEX-X REDEFINES TI-INDEX PIC S9(8)     COMP.              000409
004030 01  TABLE-OF-ZIPS.                                                 000410
004040     03 T-MAX                PIC S9999 COMP      VALUE +5000.       000411
004050     03 T-CTR                PIC S9999 COMP      VALUE +0.          000412
004060     03 T-ENTRY-SIZE         PIC S9999 COMP      VALUE +22.         000413
004070     03 T-KEY-SIZE           PIC S9999 COMP      VALUE +14.         000414
004080     03 T-ENTRY OCCURS 5000 INDEXED BY TI1 TI2.                     000415
004090         05 T-KEY.                                                  000416
004100            07 T-BULKFLAG-X  PIC X.                                 000417
004110            07 T-CARRIER     PIC XX.                                000418
004120            07 T-UNIT        PIC X(10).                             000419
004130            07 T-DEL         PIC X.                                 000420
004140         05 T-COPIES         PIC S9(7)           COMP-3.            000421
004150         05 T-SAMPLE-COPIES  PIC S9(7)           COMP-3.            000422
004160     03 T-OPCODE             PIC X               VALUE 'S'.         000423
004170     03 F-ENTRY.                                                    000424
004180         05 F-KEY.                                                  000425
004190            07 F-BULKFLAG-X  PIC X.                                 000426
004200            07 F-CARRIER     PIC XX.                                000427
004210            07 F-UNIT        PIC X(10).                             000428
004220            07 F-DEL         PIC X.                                 000429
004230         05 F-COPIES         PIC S9(7)           COMP-3.            000430
004240         05 F-SAMPLE-COPIES  PIC S9(7)           COMP-3.            000431
004250     03 S-ENTRY.                                                    000432
004260         05 S-KEY.                                                  000433
004270            07 S-BULKFLAG-X  PIC X.                                 000434
004280            07 S-CARRIER     PIC XX.                                000435
004290            07 S-UNIT        PIC X(10).                             000436
004300            07 S-DEL         PIC X.                                 000437
004310         05 S-COPIES         PIC S9(7)           COMP-3.            000438
004320         05 S-SAMPLE-COPIES  PIC S9(7)           COMP-3.            000439
004330     03 W-ENTRY.                                                    000440
004340         05 W-KEY.                                                  000441
004350            07 W-BULKFLAG-X  PIC X.                                 000442
004360            07 W-CARRIER     PIC XX.                                000443
004370            07 W-UNIT        PIC X(10).                             000444
004380            07 W-DEL         PIC X.                                 000445
004390         05 W-COPIES         PIC S9(7)           COMP-3.            000446
004400         05 W-SAMPLE-COPIES  PIC S9(7)           COMP-3.            000447
004410     SKIP3                                                          000448
004420 01  ATABLE-TABLE.                                                  000449
004430     03 AT-CTR VALUE +0      PIC S9999           COMP.              000450
004440     03 AT-MAX VALUE +1000   PIC S9999           COMP.              000451
004450     03 AT-ENTRY OCCURS 1000 INDEXED BY ATI.                        000452
004460        05 AT-CODE-THRU-TRAF PIC X(15).                             000453
004470     SKIP3                                                          000454
004480 01  ETABLE-TABLE.                                                  000455
004490     03 ET-SCFS.                                                    000456
004500        05 ET-SCF    OCCURS 999 PIC X.                              000457
004510     03 ET-CTR VALUE +0      PIC S9999           COMP.              000458
004520     03 ET-MAX VALUE +2000   PIC S9999           COMP.              000459
004530     03 ET-ENTRY OCCURS 2000 INDEXED BY ETI.                        000460
004540        05 FILLER            PIC X(23).                             000461
004550     SKIP3                                                          000462
004600     EJECT                                                          000463
004610 PROCEDURE DIVISION.                                                000464
004620 HOUSEKEEPING SECTION.                                              000465
004630 H0.                                                                000466
004720     OPEN INPUT EDPLBL.                                             000467
004730     PERFORM CHK-STAT.                                              000468
004740     MOVE LOW-VALUES TO EDP-KEY                                     000469
004750     MOVE '4' TO EDP-KNBR.                                          000470
004760     START EDPLBL KEY NOT < EDP-KEY INVALID KEY                     000471
004770         DISPLAY '** INVALID START KEY - EDPLBL **'                 000472
004780         CALL 'CANCEL'.                                             000473
004790 H2.                                                                000474
004800     READ EDPLBL AT END                                             000475
004810         DISPLAY '** PREMATURE EOF EDPLBL **'                       000476
004820         CALL 'CANCEL'.                                             000477
004830     PERFORM CHK-STAT.                                              000478
004840     IF EDP-KNBR = '4'                                              000479
004850         IF FOR-CTR = +400                                          000480
004860             DISPLAY '** FOREIGN TBL FULL **'                       000481
004870             CALL 'CANCEL'                                          000482
004880         ELSE                                                       000483
004890             ADD +1 TO FOR-CTR                                      000484
004900             MOVE EDP-CNTRY-NM TO FOR-NAME (FOR-CTR)                000485
004910             MOVE EDP-KALPHA-CNTRY TO FOR-NBR (FOR-CTR)             000486
004920             GO TO H2.                                              000487
004930     CLOSE EDPLBL.                                                  000488
004940     PERFORM CHK-STAT.                                              000489
004950     OPEN INPUT BAGPP BAGPA ZTABLE                                  000490
004960          OUTPUT ZCOUNTS BAGMO.                                     000491
004970     PERFORM CHK-STAT.                                              000492
004980     READ BAGPA AT END DISPLAY 'WIERD AT END BAGPA'                 000493
004990                       CALL 'CANCEL'.                               000494
005000     IF PA-RUN-TYPE NOT = 'B'                                       000495
005010         DISPLAY 'ILLEGAL RUN TYPE IN PUB PARAM CARD'               000496
005020         CALL 'CANCEL'.                                             000497
005030     MOVE PA-PUB TO MR-PUB.                                         000498
005040     MOVE PA-PO-CLASS TO WK-PO-CLASS.                               000499
005050     IF PA-NEWS = 'N' OR = '2'                                      000500
005060         MOVE 'N' TO WK-NEWS                                        000501
005070     ELSE                                                           000502
005080         MOVE ' ' TO WK-NEWS.                                       000503
005090 H3.                                                                000504
005100     READ BAGPP AT END DISPLAY PA-PUB ' NOT FOUND ON BAGPP'         000505
005110                       CALL 'CANCEL'.                               000506
005120     IF PP-PUB = MR-PUB                                             000507
005130         MOVE PP-PHASE TO MR-PHASE                                  000508
005140         MOVE PP-CONTROLLED TO MR-CONTROLLED                        000509
005150         GO TO H4.                                                  000510
005160     GO TO H3.                                                      000511
005170 H4.                                                                000512
005180     PERFORM H5 VARYING A FROM 1 BY 1 UNTIL A = 999.                000513
005190 H5.                                                                000514
005200     MOVE 'N' TO ET-SCF (A).                                        000515
005210 H6.                                                                000516
005220     PERFORM LOAD-ATABLE.                                           000517
005230     PERFORM LOAD-CTABLE.                                           000518
005240     PERFORM LOAD-ETABLE.                                           000519
005250     MOVE SPACES TO WS-EC-REC WS-EG-REC                             000520
005260                    WS-EJ-REC WS-EL-REC WS-EP-REC.                  000521
005270     MOVE HIGH-VALUES TO ZN-ENTRY-POINT.                            000522
005280     SET TI1 TO T-MAX.                                              000523
005290     SET TI-MAX TO TI1.                                             000524
005300     EJECT                                                          000525
005310 CALC-ZIP-COUNTS SECTION.                                           000526
005320 CALC-ZIP-COUNTS-1.                                                 000527
005330     MOVE +1 TO MR-FUNC.                                            000528
005340     CALL 'CFEDP' USING MAST-READ-INTERFACE MO-REC                  000529
005350                        STATE-TABLE FOREIGN-COUNTRIES.              000530
005360     IF MR-RETURN = 999                                             000531
005370         GO TO CALC-ZIP-COUNTS-EXIT.                                000532
005380     IF MR-RETURN = 10                                              000533
005390         PERFORM WRITE-FILE-HDR                                     000534
005400         GO TO CALC-ZIP-COUNTS-1.                                   000535
005410     IF MR-RETURN = 50                                              000536
005420         PERFORM WRITE-SEL-HDR                                      000537
005430         GO TO CALC-ZIP-COUNTS-1.                                   000538
005440     MOVE ST-TYPE (MO-ST) TO WK-ST-TYPE.                            000539
005450     IF WK-ST-TYPE = HIGH-VALUES                                    000540
005460         MOVE SPACES TO MO-ZIP-FIELD.                               000541
005470     MOVE MO-SEL TO CURR-SEL.                                       000542
005480     MOVE MO-ST-X TO CURR-ST-X.                                     000543
005490     MOVE MO-FOREIGN-ZIP TO CURR-FOREIGN-ZIP.                       000544
005500     IF CURR-KEY < LAST-KEY                                         000545
005510         DISPLAY CURR-KEY ' ' LAST-KEY ' LABELMI OUT OF SEQ'        000546
005520         MOVE 'Y' TO LABELMI-ERR.                                   000547
005530     MOVE CURR-KEY TO LAST-KEY.                                     000548
005540     IF MO-COPIES > PP-MAX-IND-COPIES                               000549
005550         MOVE '2' TO MO-BULKFLAG-X.                                 000550
005560     IF PA-FIRM-BUNDLES = 'N'                                       000551
005570         MOVE SPACES TO MO-UNIT.                                    000552
005580     IF WK-ST-TYPE NOT = 'D'                                        000553
005590         MOVE SPACES TO MO-UNIT MO-CARRIER.                         000554
005600     IF MO-SEL = CZ-SEL AND MO-ST-X = CZ-ST-X AND                   000555
005610        MO-ZIP-FIELD = CZ-ZIP-FIELD                                 000556
005620         GO TO CALC-ZIP-COUNTS-3.                                   000557
005630     PERFORM DUMP-ZIP-TABLE.                                        000558
005640     PERFORM ATABLE-LOOKUP.                                         000559
005650     PERFORM ETABLE-LOOKUP.                                         000560
005660     MOVE CZ-ST-X TO LZ-ST-X.                                       000561
005670     MOVE CZ-ZIP-FIELD TO LZ-ZIP-FIELD.                             000562
005680     MOVE CZ-ST-TYPE TO LZ-ST-TYPE.                                 000563
005690     MOVE SPACES TO W-ENTRY.                                        000564
005700 CALC-ZIP-COUNTS-3.                                                 000565
005710     IF MO-DEL = ' ' AND ERR = 'Y'                                  000566
005720         MOVE 'X' TO MO-DEL                                         000567
005730         ADD MO-COPIES TO ERR-COPIES.                               000568
005740     MOVE MO-BULKFLAG-X TO F-BULKFLAG-X.                            000569
005750     MOVE MO-CARRIER TO F-CARRIER.                                  000570
005760     MOVE MO-UNIT TO F-UNIT.                                        000571
005770     MOVE MO-DEL TO F-DEL.                                          000572
005780     MOVE MO-COPIES TO F-COPIES.                                    000573
005790     MOVE 0 TO F-SAMPLE-COPIES.                                     000574
005800     ADD MO-COPIES TO TOT-COPIES.                                   000575
005810     IF MO-SAMPLE-FLAG = 'Y'                                        000576
005820         ADD MO-COPIES TO TOT-SAMPLE-COPIES                         000577
005830         MOVE MO-COPIES TO F-SAMPLE-COPIES.                         000578
005840     IF F-KEY = W-KEY                                               000579
005850         ADD F-COPIES TO W-COPIES                                   000580
005860         ADD F-SAMPLE-COPIES TO W-SAMPLE-COPIES                     000581
005870         GO TO CALC-ZIP-COUNTS-8.                                   000582
005880     IF W-ENTRY NOT = SPACES                                        000583
005890         PERFORM ADD-ENTRY.                                         000584
005900     MOVE F-ENTRY TO W-ENTRY.                                       000585
005910 CALC-ZIP-COUNTS-8.                                                 000586
005920     IF ERR = 'Y' AND WK-ABEND = 'Y'                                000587
005930         DISPLAY 'TABLE ERROR ENCOUNTERED' UPON CONSOLE             000588
005940         CALL 'ABEND'.                                              000589
005950     IF MO-DEL = ' '                                                000590
005960         MOVE CZ-TRAF-GRP TO MO-TRAF-GRP                            000591
005970     ELSE                                                           000592
005980         MOVE 0 TO MO-TRAF-GRP.                                     000593
005990     IF MO-BULKFLAG-X = '1'                                         000594
006000         MOVE 1 TO A                                                000595
006010     ELSE                                                           000596
006020         MOVE 2 TO A.                                               000597
006030     IF MO-DEL NOT = SPACE                                          000598
006040         MOVE 4 TO B                                                000599
006050     ELSE                                                           000600
006060         IF WK-ST-TYPE = 'D'                                        000601
006070             MOVE 1 TO B                                            000602
006080         ELSE                                                       000603
006090             IF WK-ST-TYPE = 'J'                                    000604
006100                 MOVE 2 TO B                                        000605
006110             ELSE                                                   000606
006120                 MOVE 3 TO B.                                       000607
006130     MOVE PA-NUP (A B) TO MO-NBRUP.                                 000608
006140     MOVE PA-FORM (A B) TO MO-FORM.                                 000609
006150     PERFORM WRITE-LABEL-RCD.                                       000610
006160     GO TO CALC-ZIP-COUNTS-1.                                       000611
006170 CALC-ZIP-COUNTS-EXIT.                                              000612
006180     PERFORM DUMP-ZIP-TABLE.                                        000613
006190     CLOSE BAGPP BAGPA ZTABLE ZCOUNTS BAGMO.                        000614
006200     PERFORM CHK-STAT.                                              000615
006210     PERFORM SEL-TOTALS.                                            000616
006220     MOVE 1 TO NBR L-CTR.                                           000617
006230     PERFORM CALLING.                                               000618
006240     DISPLAY ZTABLE-READS ' ZTABLE READS'.                          000619
006250     IF (TOT-SAMPLE-COPIES / TOT-COPIES) > .10                      000620
006260         DISPLAY 'WARNING: > 10% SAMPLE COPIES EXIST IN INPUT.'     000621
006270         DISPLAY 'WHILE THIS CONDITION DOES NOT PROHIBIT'           000622
006280         DISPLAY 'BAGGING, ANY 3541 FORMS SUBSEQUENTLY'             000623
006290         DISPLAY 'PRODUCED WILL NOT BE ACCEPTABLE TO'               000624
006300         DISPLAY 'THE POST OFFICE.'.                                000625
006310     IF CTABLE-ERR = 'Y'                                            000626
006320         DISPLAY 'AT LEAST ONE ERROR IN CTABLE'.                    000627
006330     IF PTABLE-ERR = 'Y'                                            000628
006340         DISPLAY 'AT LEAST ONE ERROR IN PARAMS'.                    000629
006350     IF LABELMI-ERR = 'Y'                                           000630
006360         DISPLAY 'AT LEAST ONE ERROR IN LABELMI'.                   000631
006370     IF ZTABLE-ERR = 'Y'                                            000632
006380         DISPLAY 'AT LEAST ONE ERROR IN ZTABLE'.                    000633
006390     IF ERR-COPIES > 0                                              000634
006400         DISPLAY ERR-COPIES ' COPIES MISMATCHING TABLES A/E/Z'      000635
006410         IF (ERR-COPIES / TOT-COPIES) > .02                         000636
006420             DISPLAY 'THIS IS GREATER THAN > 2% SO'                 000637
006430             DISPLAY 'BAGGING CANNOT PROCEED'                       000638
006440             GO TO CALC-ZIP-COUNTS-ABEND                            000639
006450         ELSE                                                       000640
006460             DISPLAY 'THEY WILL BE CHANGED TO DELIVERY CODE X'.     000641
006470     IF ' ' = CTABLE-ERR AND PTABLE-ERR AND                         000642
006480              ZTABLE-ERR AND LABELMI-ERR                            000643
006490         STOP RUN.                                                  000644
006500 CALC-ZIP-COUNTS-ABEND.                                             000645
006510     DISPLAY 'CORRECT ERRORS AND TRY AGAIN'.                        000646
006520     CALL 'CANCEL'.                                                 000647
006530     SKIP3                                                          000648
006540 CALLING SECTION.                                                   000649
006550 CALLING-1.                                                         000650
006560     CALL 'SLICMOD' USING NBR HSP FLAG.                             000651
006570     MOVE L-CTR TO LNCTR.                                           000652
006580     MOVE SPACES TO HSP.                                            000653
006590     MOVE 5 TO NBR.                                                 000654
006600     SKIP3                                                          000655
006610 SEL-TOTALS SECTION.                                                000656
006620 SEL-TOTALS-1.                                                      000657
006630     IF LNCTR NOT >  80                                             000658
006640         GO TO SEL-TOTALS-2.                                        000659
006650     MOVE HDR1 TO HSP.                                              000660
006660     MOVE 3 TO NBR.                                                 000661
006670     PERFORM CALLING.                                               000662
006680     ADD 1 TO PGCTR.                                                000663
006690     MOVE PGCTR TO H-PAGE.                                          000664
006700     MOVE HDR2 TO HSP.                                              000665
006710     PERFORM CALLING.                                               000666
006720     MOVE HDR3 TO HSP.                                              000667
006730     PERFORM CALLING.                                               000668
006740     MOVE HDR4 TO HSP.                                              000669
006750     MOVE 7 TO NBR.                                                 000670
006760     PERFORM CALLING.                                               000671
006770     MOVE HDR5 TO HSP.                                              000672
006780     PERFORM CALLING.                                               000673
006790     MOVE 7 TO NBR.                                                 000674
006800 SEL-TOTALS-2.                                                      000675
006810     MOVE LAST-SEL TO H-SEL.                                        000676
006820     MOVE SEL-DEL-L TO H-DEL-L.                                     000677
006830     MOVE SEL-DEL-C TO H-DEL-C.                                     000678
006840     MOVE SEL-SIN-L TO H-SIN-L.                                     000679
006850     MOVE SEL-BULK-L TO H-BULK-L.                                   000680
006860     MOVE SEL-BULK-C TO H-BULK-C.                                   000681
006870     PERFORM CALLING.                                               000682
006880     MOVE 0 TO SEL-DEL-L SEL-DEL-C SEL-SIN-L                        000683
006890               SEL-BULK-L SEL-BULK-C.                               000684
006900 SEL-TOTALS-EXIT.                                                   000685
006910     EXIT.                                                          000686
006920     EJECT                                                          000687
006930 ADD-ENTRY SECTION.                                                 000688
006940 ADD-ENTRY-1.                                                       000689
006950     MOVE 'S' TO T-OPCODE.                                          000690
006960     CALL 'BARTABLE' USING TABLE-OF-ZIPS W-ENTRY S-ENTRY            000691
006970                           T-OPCODE TI-INDEX-X.                     000692
006980     IF T-OPCODE = 'F'                                              000693
006990         DISPLAY 'OVERFLOW COUNTING ZIPS'                           000694
007000         CALL 'ABEND'.                                              000695
007010     IF T-OPCODE = 'S'                                              000696
007020         GO TO ADD-ENTRY-3.                                         000697
007030     CALL 'BARTABLE' USING TABLE-OF-ZIPS W-ENTRY W-ENTRY            000698
007040                           T-OPCODE.                                000699
007050     GO TO ADD-ENTRY-EXIT.                                          000700
007060 ADD-ENTRY-3.                                                       000701
007070     SET TI1 TO TI-INDEX.                                           000702
007080     ADD W-COPIES TO S-COPIES.                                      000703
007090     ADD W-SAMPLE-COPIES TO S-SAMPLE-COPIES.                        000704
007100     MOVE S-ENTRY TO T-ENTRY (TI1).                                 000705
007110 ADD-ENTRY-EXIT.                                                    000706
007120     EXIT.                                                          000707
007130     EJECT                                                          000708
007140 DUMP-ZIP-TABLE  SECTION.                                           000709
007150 DUMP-ZIP-TABLE-1.                                                  000710
007160     IF CZ-SEL = 00                                                 000711
007170         GO TO DUMP-ZIP-TABLE-INIT.                                 000712
007180     PERFORM ADD-ENTRY.                                             000713
007190     SET TI1 TO TI-MAX.                                             000714
007200     SET TI1 DOWN BY T-CTR.                                         000715
007210     SET TI1 UP BY 1.                                               000716
007220     SET TI-MIN TO TI1.                                             000717
007230     SET TI1 TO TI-MIN.                                             000718
007240     PERFORM DUMP-ZIP-TABLE-10 THRU DUMP-ZIP-TABLE-15               000719
007250         VARYING TI1 FROM TI1 BY 1 UNTIL TI1 = TI-MAX.              000720
007260 DUMP-ZIP-TABLE-10.                                                 000721
007270     MOVE T-ENTRY (TI1) TO W-ENTRY.                                 000722
007280     MOVE W-BULKFLAG-X TO CZ-BULKFLAG-X.                            000723
007290     MOVE W-CARRIER TO CZ-CARRIER.                                  000724
007300     MOVE W-UNIT TO CZ-UNIT.                                        000725
007310     MOVE W-DEL TO CZ-DEL.                                          000726
007320     MOVE W-COPIES TO CZ-COPIES.                                    000727
007330     MOVE W-SAMPLE-COPIES TO CZ-SAMPLE-COPIES.                      000728
007340     MOVE CZ-REC TO ZC-REC.                                         000729
007350     WRITE ZC-REC                                                   000730
               INVALID DISPLAY 'NO MORE EXTENTS - ZC-REC'                 000731
               CALL 'CANCEL'.                                             000732
007360 DUMP-ZIP-TABLE-15.                                                 000733
007370     EXIT.                                                          000734
007380 DUMP-ZIP-TABLE-INIT.                                               000735
007390     IF MR-RETURN = 999                                             000736
007400         GO TO DUMP-ZIP-TABLE-EXIT.                                 000737
007410     MOVE MO-SEL TO CZ-SEL.                                         000738
007420     MOVE MO-ST-X TO CZ-ST-X.                                       000739
007430     MOVE MO-ZIP-FIELD TO CZ-ZIP-FIELD.                             000740
007440     MOVE ST-TYPE (CZ-ST) TO CZ-ST-TYPE.                            000741
007450     MOVE 0 TO T-CTR.                                               000742
007460     MOVE 0 TO CZ-TRAF-GRP.                                         000743
007470     MOVE SPACES TO CZ-TRAF.                                        000744
007480     MOVE '000' TO CZ-ENTRY-SCF-X.                                  000745
007490     MOVE '9' TO CZ-PO-ZONE.                                        000746
007500     MOVE 'N' TO CZ-MZC-FLAG CZ-MSCF-FLAG.                          000747
007510     MOVE SPACES TO CZ-REGION CZ-SDC-LOW-SCF-X                      000748
007520                    CZ-MSCF-LOW-SCF-X CZ-S-SCF-X                    000749
007530                    CZ-MZC-LOW-ZIP-X.                               000750
007540     MOVE 'N' TO ERR.                                               000751
007550 DUMP-ZIP-TABLE-EXIT.                                               000752
007560     EXIT.                                                          000753
007570     EJECT                                                          000754
007580 WRITE-FILE-HDR SECTION.                                            000755
007590 WRITE-FILE-HDR-1.                                                  000756
007600     MOVE MO-PUBNAME TO H-PUB-NAME.                                 000757
007610     MOVE MO-RUN-DATE TO H-RUN-DATE.                                000758
007620     MOVE MO-ISS-DATE TO H-ISS-DATE.                                000759
007630     MOVE MO-CYCLE TO H-CYCLE.                                      000760
007640     MOVE '* $$ EDBAG005' TO HSP.                                   000761
007650     PERFORM CALLING.                                               000762
007660     MOVE 99 TO LNCTR.                                              000763
007670     IF PP-BAGMARKS NOT = SPACE                                     000764
007680         MOVE PP-BAGMARKS TO MO-BAGMARKS.                           000765
007690     IF PP-BULK-LINE-X NOT = SPACE                                  000766
007700         MOVE PP-BULK-LINE TO MO-BULK-LINE.                         000767
007710     MOVE MR-CONTROLLED TO MO-CONTROLLED.                           000768
007720     MOVE PA-LABEL-FORMAT TO MO-LABEL-FORMAT.                       000769
007730     MOVE MO-REC TO ZC-HDR.                                         000770
007740     WRITE ZC-HDR                                                   000771
               INVALID DISPLAY 'NO MORE EXTENTS - ZC-HDR'                 000772
               CALL 'CANCEL'.                                             000773
007750     WRITE MO-REC                                                   000774
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 000775
               CALL 'CANCEL'.                                             000776
007760     MOVE 0 TO MR-FUNC.                                             000777
007770     CALL 'CFEDP' USING MAST-READ-INTERFACE MO-REC                  000778
007780                        STATE-TABLE FOREIGN-COUNTRIES.              000779
007790     MOVE MO-REC TO ZC-HDR.                                         000780
007800     WRITE ZC-HDR                                                   000781
               INVALID DISPLAY 'NO MORE EXTENTS - ZC-HDR'                 000782
               CALL 'CANCEL'.                                             000783
007810     WRITE MO-REC                                                   000784
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 000785
               CALL 'CANCEL'.                                             000786
007820 WRITE-FILE-HDR-EXIT.                                               000787
007830     EXIT.                                                          000788
007840     SKIP2                                                          000789
007850 WRITE-SEL-HDR SECTION.                                             000790
007860 WRITE-SEL-HDR-1.                                                   000791
007870     IF LAST-SEL > 000                                              000792
007880         PERFORM SEL-TOTALS.                                        000793
007890     IF PTABLE-ERR NOT = ' '                                        000794
007900         GO TO WRITE-SEL-HDR-3.                                     000795
007910 WRITE-SEL-HDR-2.                                                   000796
007920     READ BAGPA AT END DISPLAY 'SEL # ' MO-SEL ' - NO PARAM'        000797
007930                       MOVE 'Y' TO PTABLE-ERR                       000798
007940                       GO TO WRITE-SEL-HDR-3.                       000799
007950     IF PA-SEL NOT = MO-SEL                                         000800
007960         GO TO WRITE-SEL-HDR-2.                                     000801
007970 WRITE-SEL-HDR-3.                                                   000802
007980     MOVE PA-LEADER-PAGES TO MO-LEADER-PAGES.                       000803
007990     MOVE MO-REC TO ZC-HDR.                                         000804
008000     WRITE ZC-HDR                                                   000805
               INVALID DISPLAY 'NO MORE EXTENTS - ZC-HDR'                 000806
               CALL 'CANCEL'.                                             000807
008010     WRITE MO-REC                                                   000808
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 000809
               CALL 'CANCEL'.                                             000810
008020 WRITE-SEL-HDR-EXIT.                                                000811
008030     EXIT.                                                          000812
008040     SKIP2                                                          000813
008050 WRITE-LABEL-RCD SECTION.                                           000814
008060 WRITE-LABEL-RCD-1.                                                 000815
008070     IF NOT (MO-COPIES > 1 AND MO-BULKFLAG-X = '1')                 000816
008080         GO TO WRITE-LABEL-RCD-3.                                   000817
008090     IF MO-DEL NOT = ' '                                            000818
008100         ADD MO-COPIES TO SEL-DEL-L SEL-DEL-C                       000819
008110     ELSE                                                           000820
008120         ADD MO-COPIES TO SEL-SIN-L.                                000821
008130     MOVE MO-REC TO WK-REC.                                         000822
008140     MOVE MO-COPIES TO WK-COPIES.                                   000823
008150     PERFORM WRITE-LABEL-RCD-2 WK-COPIES TIMES.                     000824
008160     GO TO WRITE-LABEL-RCD-EXIT.                                    000825
008170 WRITE-LABEL-RCD-2.                                                 000826
008180     MOVE WK-REC TO MO-REC.                                         000827
008190     MOVE 1 TO MO-COPIES.                                           000828
008200     WRITE MO-REC                                                   000829
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 000830
               CALL 'CANCEL'.                                             000831
008210 WRITE-LABEL-RCD-3.                                                 000832
008220     IF MO-DEL NOT = ' '                                            000833
008230         ADD 1 TO SEL-DEL-L                                         000834
008240         ADD MO-COPIES TO SEL-DEL-C                                 000835
008250     ELSE                                                           000836
008260         IF MO-BULKFLAG-X = '1'                                     000837
008270             ADD MO-COPIES TO SEL-SIN-L                             000838
008280         ELSE                                                       000839
008290             ADD 1 TO SEL-BULK-L                                    000840
008300             ADD MO-COPIES TO SEL-BULK-C.                           000841
008310     WRITE MO-REC                                                   000842
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 000843
               CALL 'CANCEL'.                                             000844
008320 WRITE-LABEL-RCD-EXIT.                                              000845
008330     EXIT.                                                          000846
008340     SKIP2                                                          000847
008350 CHK-STAT SECTION.                                                  000848
           IF CHK-STATUS NOT = '00'                                         0000
               DISPLAY 'VSAM FILE ERROR - RETURN CODE = '                   0001
                   CHK-STATUS UPON CONSOLE                                  0002
               CALL 'BARALARM'                                              0003
               CALL 'ABEND'.                                                0004
       CHK-10. EXIT.                                                        0005
008360     EJECT                                                          000849
008370 ATABLE-LOOKUP SECTION.                                             000850
008380 ATABLE-INIT.                                                       000851
008390     IF CZ-ST-TYPE < LZ-ST-TYPE                                     000852
008400         GO TO ATABLE-RESTART.                                      000853
008410     IF CZ-ST-TYPE > LZ-ST-TYPE                                     000854
008420         GO TO ATABLE-GEO-SPLIT.                                    000855
008430     IF CZ-ST-TYPE = HIGH-VALUE                                     000856
008440         GO TO ATABLE-INIT-FOR.                                     000857
008450 ATABLE-INIT-DOM.                                                   000858
008460     IF CZ-SCF-X < LZ-SCF-X                                         000859
008470         GO TO ATABLE-RESTART.                                      000860
008480     GO TO ATABLE-GEO-SPLIT.                                        000861
008490 ATABLE-INIT-FOR.                                                   000862
008500     IF CZ-ST-X < LZ-ST-X                                           000863
008510         GO TO ATABLE-RESTART.                                      000864
008520     GO TO ATABLE-FOR.                                              000865
008530 ATABLE-RESTART.                                                    000866
008540     SET ATI TO 1.                                                  000867
008550 ATABLE-MOVES.                                                      000868
008560     IF ATI > AT-CTR                                                000869
008570         MOVE HIGH-VALUES TO WS-A-REC                               000870
008580     ELSE                                                           000871
008590         MOVE AT-CODE-THRU-TRAF (ATI) TO WS-A-CODE-THRU-TRAF.       000872
008600 ATABLE-GEO-SPLIT.                                                  000873
008610     IF CZ-ST-TYPE = 'D'                                            000874
008620         GO TO ATABLE-DOM-IC.                                       000875
008630     IF CZ-ST-TYPE = 'J'                                            000876
008640         GO TO ATABLE-CAN.                                          000877
008650     IF CZ-ST-TYPE = HIGH-VALUE                                     000878
008660         GO TO ATABLE-FOR.                                          000879
008670     DISPLAY 'STATE TYPE NOT DEFINED'.                              000880
008680     CALL 'ABEND'.                                                  000881
008690 ATABLE-DOM-IC.                                                     000882
008700     SET IC TO 1.                                                   000883
008710     SEARCH IC-ENTRY VARYING IC                                     000884
008720         WHEN NOT (CZ-ZIP < IC-LOW-ZIP (IC) OR                      000885
008730                          > IC-HIGH-ZIP (IC))                       000886
008740                             MOVE 'A00' TO CZ-TRAF                  000887
008750                             GO TO ATABLE-ENTRY-POINT-LOOKUP.       000888
008760 ATABLE-DOM.                                                        000889
008770     IF WS-A-CODE < 'D0'                                            000890
008780         GO TO ATABLE-DOM-GETNEXT.                                  000891
008790     IF WS-A-CODE > 'D0' OR WS-A-LOW-SCF > CZ-SCF-X                 000892
008800         DISPLAY 'ST SCF ' CZ-ST-X ' ' CZ-SCF-X ' NOT IN ATABLE'    000893
008810         MOVE 'Y' TO ERR                                            000894
008820         GO TO ATABLE-EXIT.                                         000895
008830     IF NOT (CZ-SCF-X < WS-A-LOW-SCF OR > WS-A-HIGH-SCF)            000896
008840         MOVE WS-A-TRAF TO CZ-TRAF                                  000897
008850         GO TO ATABLE-ENTRY-POINT-LOOKUP.                           000898
008860 ATABLE-DOM-GETNEXT.                                                000899
008870     SET ATI UP BY 1.                                               000900
008880     PERFORM ATABLE-MOVES.                                          000901
008890     GO TO ATABLE-DOM.                                              000902
008900 ATABLE-CAN.                                                        000903
008910     IF WS-A-CODE < 'FJ'                                            000904
008920         GO TO ATABLE-CAN-GETNEXT.                                  000905
008930     IF WS-A-CODE > 'FJ' OR WS-A-LOW-SCF > CZ-SCF-X                 000906
008940         DISPLAY 'ST SCF ' CZ-ST-X ' ' CZ-SCF-X ' NOT IN ATABLE'    000907
008950         MOVE 'Y' TO ERR                                            000908
008960         GO TO ATABLE-EXIT.                                         000909
008970     IF NOT (CZ-SCF-X < WS-A-LOW-SCF OR > WS-A-HIGH-SCF)            000910
008980         MOVE WS-A-TRAF TO CZ-TRAF                                  000911
008990         GO TO ATABLE-ENTRY-POINT-LOOKUP.                           000912
009000 ATABLE-CAN-GETNEXT.                                                000913
009010     SET ATI UP BY 1.                                               000914
009020     PERFORM ATABLE-MOVES.                                          000915
009030     GO TO ATABLE-CAN.                                              000916
009040 ATABLE-FOR.                                                        000917
009050     IF WS-A-CODE < 'F0'                                            000918
009060         GO TO ATABLE-FOR-GETNEXT.                                  000919
009070     IF WS-A-CODE > 'F0' OR WS-A-LOW-SCF > CZ-ST-X                  000920
009080         DISPLAY 'ST ' CZ-ST-X ' NOT IN ATABLE'                     000921
009090         MOVE 'Y' TO ERR                                            000922
009100         GO TO ATABLE-EXIT.                                         000923
009110     IF NOT (CZ-ST-X < WS-A-LOW-SCF OR > WS-A-HIGH-SCF)             000924
009120         MOVE WS-A-TRAF TO CZ-TRAF                                  000925
009130         GO TO ATABLE-ENTRY-POINT-LOOKUP.                           000926
009140 ATABLE-FOR-GETNEXT.                                                000927
009150     SET ATI UP BY 1.                                               000928
009160     PERFORM ATABLE-MOVES.                                          000929
009170     GO TO ATABLE-FOR.                                              000930
009180 ATABLE-ENTRY-POINT-LOOKUP.                                         000931
009190     PERFORM ENTRY-POINT-LOOKUP.                                    000932
009200 ATABLE-EXIT.                                                       000933
009210     EXIT.                                                          000934
009220     EJECT                                                          000935
009230 ETABLE-LOOKUP SECTION.                                             000936
009240 ETABLE-INIT.                                                       000937
009250     IF CZ-ST-TYPE NOT = 'D'                                        000938
009260         MOVE CZ-TRAF TO CZ-REGION                                  000939
009270         GO TO ETABLE-EXIT.                                         000940
009280     IF 'D' = CZ-ST-TYPE AND LZ-ST-TYPE                             000941
009290         IF CZ-ZIP < LZ-ZIP                                         000942
009300             GO TO ETABLE-RESTART                                   000943
009310         ELSE                                                       000944
009320             GO TO ETABLE-LOAD.                                     000945
009330     IF CZ-ST-TYPE < LZ-ST-TYPE OR CZ-ST-X < LZ-ST-X                000946
009340         GO TO ETABLE-RESTART.                                      000947
009350     IF CZ-ST-X > LZ-ST-X                                           000948
009360         GO TO ETABLE-LOAD.                                         000949
009370 ETABLE-RESTART.                                                    000950
009380     SET ETI TO 1.                                                  000951
009390     MOVE SPACES TO WS-EA-REC WS-EC-REC WS-EG-REC                   000952
009400                    WS-EJ-REC WS-EL-REC WS-EP-REC.                  000953
009410     MOVE ET-ENTRY (1) TO WS-EA-REC.                                000954
009420 ETABLE-LOAD.                                                       000955
009430     IF WS-EA-REC = HIGH-VALUES                                     000956
009440         GO TO ETABLE-PROCESS.                                      000957
009450     IF WS-EA-CODE = 'P'                                            000958
009460         IF WS-EA-LOW-SCF > CZ-SCF-X                                000959
009470             GO TO ETABLE-PROCESS                                   000960
009480         ELSE                                                       000961
009490             IF CZ-ENTRY-SCF-X < WS-EA-EP-LOW OR > WS-EA-EP-HIGH    000962
009500                 GO TO ETABLE-GETNEXT                               000963
009510             ELSE                                                   000964
009520                 MOVE WS-EA-REC TO WS-EP-REC                        000965
009530                 GO TO ETABLE-GETNEXT.                              000966
009540     IF WS-EA-CODE = 'L'                                            000967
009550         IF WS-EA-LOW-SCF > CZ-SCF-X                                000968
009560             GO TO ETABLE-PROCESS                                   000969
009570         ELSE                                                       000970
009580             MOVE WS-EA-REC TO WS-EL-REC                            000971
009590             GO TO ETABLE-GETNEXT.                                  000972
009600     IF WS-EA-CODE = 'J'                                            000973
009610         IF WS-EA-LOW-SCF > CZ-SCF-X                                000974
009620             GO TO ETABLE-PROCESS                                   000975
009630         ELSE                                                       000976
009640             IF CZ-ENTRY-SCF-X < WS-EA-EP-LOW OR > WS-EA-EP-HIGH    000977
009650                 GO TO ETABLE-GETNEXT                               000978
009660             ELSE                                                   000979
009670                 MOVE WS-EA-REC TO WS-EJ-REC                        000980
009680                 GO TO ETABLE-GETNEXT.                              000981
009690     IF WS-EA-CODE = 'G'                                            000982
009700         IF WS-EA-LOW-SCF > CZ-SCF-X                                000983
009710             GO TO ETABLE-PROCESS                                   000984
009720         ELSE                                                       000985
009730             MOVE WS-EA-REC TO WS-EG-REC                            000986
009740             GO TO ETABLE-GETNEXT.                                  000987
009750     IF WS-EA-CODE = 'C'                                            000988
009760         IF WS-EA-LOW-ZIP > CZ-ZIP                                  000989
009770             GO TO ETABLE-PROCESS                                   000990
009780         ELSE                                                       000991
009790             MOVE WS-EA-REC TO WS-EC-REC.                           000992
009800 ETABLE-GETNEXT.                                                    000993
009810     SET ETI UP BY 1.                                               000994
009820     IF ETI > ET-CTR                                                000995
009830         MOVE HIGH-VALUES TO WS-EA-REC                              000996
009840     ELSE                                                           000997
009850         MOVE ET-ENTRY (ETI) TO WS-EA-REC.                          000998
009860     GO TO ETABLE-LOAD.                                             000999
009870 ETABLE-PROCESS.                                                    001000
009880     IF ET-SCF (CZ-SCF) NOT = 'Y'                                   001001
009890         DISPLAY 'ST SCFE ' CZ-ST-X ' ' CZ-SCF-X ' NOT IN ETABLE'   001002
009900         MOVE 'Y' TO ERR.                                           001003
009910     IF NOT (CZ-SCF-X < WS-EP-LOW-SCF OR > WS-EP-HIGH-SCF)          001004
009920         MOVE WS-EP-REGION TO WK-REGION-1                           001005
009930     ELSE                                                           001006
009940         MOVE '9' TO WK-REGION-1.                                   001007
009950     MOVE WK-REGION TO CZ-REGION.                                   001008
009960     IF NOT (CZ-SCF-X < WS-EJ-LOW-SCF OR > WS-EJ-HIGH-SCF)          001009
009970         IF WS-EJ-REF-SCF = SPACES                                  001010
009980             MOVE WS-EJ-LOW-SCF TO CZ-SDC-LOW-SCF-X                 001011
009990         ELSE                                                       001012
010000             MOVE WS-EJ-REF-SCF TO CZ-SDC-LOW-SCF-X.                001013
010010     MOVE 'N' TO CZ-MZC-FLAG.                                       001014
010020     IF NOT (CZ-ZIP < WS-EC-LOW-ZIP OR > WS-EC-HIGH-ZIP)            001015
010030         IF WS-EC-QUAL = ' '                                        001016
010040             MOVE 'U' TO CZ-MZC-FLAG                                001017
010050         ELSE                                                       001018
010060             MOVE WS-EC-QUAL TO CZ-MZC-FLAG.                        001019
010070     IF NOT (CZ-SCF-X < WS-EG-LOW-SCF OR > WS-EG-HIGH-SCF)          001020
010080         MOVE 'Y' TO CZ-MSCF-FLAG                                   001021
010090     ELSE                                                           001022
010100         MOVE 'N' TO CZ-MSCF-FLAG.                                  001023
010110     MOVE '00000' TO CZ-MZC-LOW-ZIP-X.                              001024
010120     IF CZ-MZC-FLAG NOT = 'N'                                       001025
010130         IF WS-EC-REF-ZIP = SPACES                                  001026
010140             MOVE WS-EC-LOW-ZIP TO CZ-MZC-LOW-ZIP-X                 001027
010150         ELSE                                                       001028
010160             MOVE WS-EC-REF-ZIP TO CZ-MZC-LOW-ZIP-X.                001029
010170     MOVE CZ-SCF-X TO CZ-S-SCF-X.                                   001030
010180     IF CZ-MZC-FLAG NOT = 'N' AND                                   001031
010190       (WS-EC-LOW-SCF NOT = WS-EC-HIGH-SCF OR                       001032
010200        WS-EC-LOW-ZONE = '01' AND WS-EC-HIGH-ZONE = '99')           001033
010210             MOVE '000' TO CZ-S-SCF-X.                              001034
010220     MOVE CZ-SCF-X TO CZ-MSCF-LOW-SCF-X.                            001035
010230     IF CZ-MSCF-FLAG = 'Y'                                          001036
010240         IF WS-EG-REF-SCF = SPACES                                  001037
010250             MOVE WS-EG-LOW-SCF TO CZ-MSCF-LOW-SCF-X                001038
010260         ELSE                                                       001039
010270             MOVE WS-EG-REF-SCF TO CZ-MSCF-LOW-SCF-X                001040
010280     ELSE                                                           001041
010290         IF CZ-MZC-FLAG NOT = 'N'                                   001042
010300             IF WS-EC-REF-ZIP = SPACES                              001043
010310                 MOVE WS-EC-LOW-ZIP TO CZ-MSCF-LOW-SCF-X            001044
010320             ELSE                                                   001045
010330                 MOVE WS-EC-REF-ZIP TO CZ-MSCF-LOW-SCF-X.           001046
010340 ETABLE-EXIT.                                                       001047
010350     EXIT.                                                          001048
010360     EJECT                                                          001049
010370 ENTRY-POINT-LOOKUP SECTION.                                        001050
010380 ENTRY-POINT-1.                                                     001051
010390     SET EP TO 1.                                                   001052
010400     SEARCH EP-ENTRY VARYING EP                                     001053
010410         AT END DISPLAY 'TRAF ' CZ-TRAF ' NOT IN CTABLE'            001054
010420                MOVE 'Y' TO CTABLE-ERR                              001055
010430                MOVE 0 TO CZ-TRAF-GRP                               001056
010440                MOVE '000' TO CZ-ENTRY-SCF-X                        001057
010450                MOVE '1' TO CZ-PO-ZONE                              001058
010460                GO TO ENTRY-POINT-EXIT                              001059
010470         WHEN NOT (CZ-TRAF < EP-LOW-TRAF (EP) OR                    001060
010480                           > EP-HIGH-TRAF (EP))                     001061
010490                                 NEXT SENTENCE.                     001062
010500     SET CZ-TRAF-GRP TO EP.                                         001063
010510     MOVE EP-SCF (EP) TO CZ-ENTRY-SCF-X.                            001064
010520     IF CZ-ST-TYPE NOT = 'D'                                        001065
010530         MOVE '9' TO CZ-PO-ZONE                                     001066
010540         GO TO ENTRY-POINT-EXIT.                                    001067
010550     IF CZ-ENTRY-SCF-X = ZN-ENTRY-POINT                             001068
010560         GO TO ENTRY-POINT-5.                                       001069
010570     MOVE CZ-ENTRY-SCF-X TO ZN-ENTRY-POINT.                         001070
010580     ADD 1 TO ZTABLE-READS.                                         001071
010590     MOVE 'Y' TO ZTABLE-FOUND.                                      001072
010600     READ ZTABLE INVALID KEY                                        001073
010610         DISPLAY 'ENTRY POINT ' CZ-ENTRY-SCF-X ' NOT IN ZTABLE'     001074
010620         MOVE 'Y' TO ZTABLE-ERR                                     001075
010630         MOVE 'N' TO ZTABLE-FOUND                                   001076
010640         MOVE '1' TO CZ-PO-ZONE                                     001077
010650         GO TO ENTRY-POINT-EXIT.                                    001078
010660 ENTRY-POINT-5.                                                     001079
010670     IF ZTABLE-FOUND = 'N'                                          001080
010680         GO TO ENTRY-POINT-EXIT.                                    001081
010690     MOVE ZN-ZONE (CZ-SCF) TO CZ-PO-ZONE.                           001082
010700     IF CZ-PO-ZONE < '1' OR > '8'                                   001083
010710         DISPLAY 'ENTRY POINT SCF '                                 001084
010720                 ZN-ENTRY-POINT ' ' CZ-SCF-X ' INVALID IN ZTABLE'   001085
010730         MOVE 'Y' TO ERR                                            001086
010740         MOVE '1' TO CZ-PO-ZONE.                                    001087
010750 ENTRY-POINT-EXIT.                                                  001088
010760     EXIT.                                                          001089
010770     EJECT                                                          001090
010780 LOAD-ATABLE SECTION.                                               001091
010790 LOAD-ATABLE-1.                                                     001092
010800     OPEN INPUT ATABLE.                                             001093
010810 LOAD-ATABLE-3.                                                     001094
010820     READ ATABLE INTO WS-A-REC AT END GO TO LOAD-ATABLE-EXIT.       001095
010830     IF WS-A-CODE NOT = 'A0'                                        001096
010840         GO TO LOAD-ATABLE-5.                                       001097
010850     IF IC-CTR = 100                                                001098
010860         DISPLAY 'MORE THAN 100 IN COUNTY RECORDS'                  001099
010870         CALL 'ABEND'.                                              001100
010880     ADD 1 TO IC-CTR.                                               001101
010890     SET IC TO IC-CTR.                                              001102
010900     MOVE WS-A-LOW-ZIP TO IC-LOW-ZIP (IC).                          001103
010910     MOVE WS-A-HIGH-ZIP TO IC-HIGH-ZIP (IC).                        001104
010920     GO TO LOAD-ATABLE-3.                                           001105
010930 LOAD-ATABLE-5.                                                     001106
010940     ADD 1 TO AT-CTR.                                               001107
010950     IF AT-CTR > AT-MAX                                             001108
010960         DISPLAY 'ATABLE COULD NOT BE TABLIZED'                     001109
010970         CALL 'ABEND'.                                              001110
010980     MOVE WS-A-CODE-THRU-TRAF TO AT-CODE-THRU-TRAF (AT-CTR).        001111
010990     GO TO LOAD-ATABLE-3.                                           001112
011000 LOAD-ATABLE-EXIT.                                                  001113
011010     CLOSE ATABLE.                                                  001114
011020     SET ATI TO 1.                                                  001115
011030     MOVE AT-CODE-THRU-TRAF (1) TO WS-A-CODE-THRU-TRAF.             001116
011040     EJECT                                                          001117
011050 LOAD-CTABLE SECTION.                                               001118
011060 LOAD-CTABLE-1.                                                     001119
011070     OPEN INPUT CTABLE.                                             001120
011080 LOAD-CTABLE-2.                                                     001121
011090     READ CTABLE AT END GO TO LOAD-CTABLE-EXIT.                     001122
011100     IF EP-CTR = 100                                                001123
011110         DISPLAY 'MORE THAN 100 ENTRY POINTS'                       001124
011120         CALL 'ABEND'.                                              001125
011130     ADD 1 TO EP-CTR.                                               001126
011140     SET EP TO EP-CTR.                                              001127
011150     MOVE C-LOW-TRAF TO EP-LOW-TRAF (EP).                           001128
011160     MOVE C-HIGH-TRAF TO EP-HIGH-TRAF (EP).                         001129
011170     MOVE C-E-SCF TO EP-SCF (EP).                                   001130
011180     MOVE SPACES TO ZC-HDR.                                         001131
011190     MOVE 0 TO ZC-SEL.                                              001132
011200     MOVE '4' TO ZC-CODE.                                           001133
011210     MOVE EP-CTR TO ZC-C-TRAF-GRP.                                  001134
011220     MOVE C-LOW-TRAF TO ZC-C-LOW-TRAF.                              001135
011230     MOVE C-HIGH-TRAF TO ZC-C-HIGH-TRAF.                            001136
011240     MOVE C-ENTRY TO ZC-C-ENTRY.                                    001137
011250     MOVE C-FINANCE-NO TO ZC-C-FINANCE-NO.                          001138
011260     WRITE MO-REC FROM ZC-HDR                                       001139
               INVALID DISPLAY 'NO MORE EXTENTS - MO-REC'                 001140
               CALL 'CANCEL'.                                             001141
011270     WRITE ZC-HDR                                                   001142
               INVALID DISPLAY 'NO MORE EXTENTS - ZC-HDR'                 001143
               CALL 'CANCEL'.                                             001144
011280     GO TO LOAD-CTABLE-2.                                           001145
011290 LOAD-CTABLE-EXIT.                                                  001146
011300     CLOSE CTABLE.                                                  001147
011310     EJECT                                                          001148
011320 LOAD-ETABLE SECTION.                                               001149
011330 LOAD-ETABLE-1.                                                     001150
011340     OPEN INPUT ETABLE.                                             001151
011350 LOAD-ETABLE-3.                                                     001152
011360     READ ETABLE AT END GO TO LOAD-ETABLE-EXIT.                     001153
011370     IF E-CODE NOT = 'E'                                            001154
011380         GO TO LOAD-ETABLE-5.                                       001155
011390     MOVE 'Y' TO ET-SCF (E-LOW-SCF).                                001156
011400     GO TO LOAD-ETABLE-3.                                           001157
011410 LOAD-ETABLE-5.                                                     001158
011420*    IF (E-CODE = 'P' AND WK-PO-CLASS = '2') OR                     001159
011420     IF (E-CODE = 'X' AND WK-PO-CLASS = '2') OR                     001160
011430       ((E-CODE = 'J' OR 'L') AND E-NEWS NOT = WK-NEWS)             001161
011440         GO TO LOAD-ETABLE-3.                                       001162
011450     ADD 1 TO ET-CTR.                                               001163
011460     IF ET-CTR > ET-MAX                                             001164
011470         DISPLAY 'ETABLE COULD NOT BE TABLIZED'                     001165
011480         CALL 'ABEND'.                                              001166
011490     MOVE E-REC TO ET-ENTRY (ET-CTR).                               001167
011500     GO TO LOAD-ETABLE-3.                                           001168
011510 LOAD-ETABLE-EXIT.                                                  001169
011520     CLOSE ETABLE.                                                  001170
011530     SET ETI TO 1.                                                  001171
011540     MOVE ET-ENTRY (1) TO WS-EA-REC.                                001172
